groff (1.22.4-3+deb10u1) buster; urgency=medium

  * Rebuild against ghostscript 9.27 (closes: #982302).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Mar 2021 10:36:25 +0000

groff (1.22.4-3) unstable; urgency=medium

  * Avoid Perl's unsafe "<>" operator (closes: #920269).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Feb 2019 19:44:28 +0000

groff (1.22.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Update build-native paths to new layout (closes: #917779).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jan 2019 19:13:49 +0000

groff (1.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Dec 2018 23:35:24 +0000

groff (1.22.4~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop papersize-pre-html.patch: the "printing" operation here is only for
    the purpose of extracting images, so all that matters is that the paper
    size be consistent across the various tools that are invoked.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Dec 2018 12:55:46 +0000

groff (1.22.4~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * Build-depend on gsfonts, so that devpdf's U-* fonts are generated.
  * Build-depend on poppler-utils, so that the new tests of mom examples
    work.

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Dec 2018 01:27:42 +0000

groff (1.22.4~rc3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Adjust Vcs-* headers to reflect experimental branch.
  * Add GitLab CI configuration.
  * Adjust git-dpm tagging configuration.
  * Add alpha.gnu.org to debian/watch, for pre-releases.
  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Nov 2018 11:09:18 +0000

groff (1.22.4~rc2-3) experimental; urgency=medium

  * Restore text versions of meintro.ps, meref.ps, and pic.ps, broken in
    1.22.3.rc1-1.
  * Remove debian/groff.info; upstream's build system installs these files
    by itself now.
  * Use #! /usr/bin/perl for all installed Perl scripts, per policy 10.4.
  * Remove dh_builddeb override to force gzip compression for groff-base;
    most of the rest of the debootstrap-installed set needs xz nowadays so
    that ship has sailed.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Nov 2018 13:20:36 +0000

groff (1.22.4~rc2-2) experimental; urgency=medium

  * Move pdfpic.tmac to groff-base, since troffrc reads it.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:30:52 +0100

groff (1.22.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Mar 2018 10:48:04 +0100

groff (1.22.3.rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch debian/watch to HTTPS.
  * Add signing key of new upstream maintainer (Bertrand Garrigues) to
    debian/upstream/signing-key.asc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Mar 2018 23:11:38 +0000

groff (1.22.3-10) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Remove "touch configure" from dh_auto_build override, which predated the
    use of dh-autoreconf.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:09:07 +0000

groff (1.22.3-9) unstable; urgency=medium

  * debian/watch: Switch URL scheme to HTTP.
  * Policy version 3.9.8: no changes required.
  * Backport from upstream:
    - tmac/zh.tmac: New file to support basic Chinese, both simplified and
      traditional (closes: #848030).
  * Install zh.tmac in groff-base.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2016 13:06:22 +0000

groff (1.22.3-8) unstable; urgency=medium

  * Map "\-" to a plain hyphen when rendering HTML/XHTML output for manual
    pages (closes: #829332).

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jul 2016 21:04:05 +0100

groff (1.22.3-7) unstable; urgency=medium

  * Set build flags appropriately for the build architecture during the
    native build pass (based loosely on a patch from Balint Reczey, for
    which thanks; closes: #812872).
  * Remove debian/build-native/ on clean.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jan 2016 14:57:16 +0000

groff (1.22.3-6) unstable; urgency=medium

  * Override dh-exec-subst-unknown-variable Lintian tags, which are false
    positives.
  * Use HTTPS for Vcs-* URLs.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 11:49:56 +0000

groff (1.22.3-5) unstable; urgency=medium

  * Drop obsolete build-dependency on xutils-dev.
  * Remove no-groff-x11 bootstrapping hack.  If anything like this is still
    needed, it should be reimplemented using build profiles, but since groff
    can be installed from a foreign architecture using multiarch I believe
    that this is now unnecessary.
  * Upgrade to debhelper v9, using dh-exec.
  * Build with large file support.
  * Remove long-obsolete maintainer script file migration code from 2001.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 18:09:43 +0000

groff (1.22.3-4) unstable; urgency=medium

  * Fix incorrect display-UTC-time patch to gropdf (closes: #805374).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Nov 2015 13:45:10 +0000

groff (1.22.3-3) unstable; urgency=medium

  * Add SOURCE_DATE_EPOCH support to mdate.sh, and restore upstream code
    there to force the C locale.
  * Use gmtime in mdate.sh.
  * Remove unnecessary randomness from hdtbl example output.
  * Always use UTC times for display.
  * Sort Perl hash keys.
  * Build with LC_ALL=C.UTF-8.  To some extent this is a cop-out as other
    packages using groff may still need to do similarly; I believe the
    remaining important place where groff is character-set-sensitive in a
    way that affects reproducibility of output is in the HTML postprocessor,
    which sometimes inserts spaces in UTF-8 locales but not (for example) in
    ASCII locales.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Nov 2015 13:14:24 +0000

groff (1.22.3-2) unstable; urgency=medium

  * Explicitly compile with -std=gnu++98, to avoid potential future problems
    with GCC 6 defaulting to a newer standard.
  * Implement SOURCE_DATE_EPOCH for reproducible builds (closes: #762854).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 11:51:53 +0000

groff (1.22.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/groff-base.mime: Handle text/troff as well as
    application/x-troff-man.
  * Policy version 3.9.6: no changes required.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Nov 2014 22:07:25 +0000

groff (1.22.2-8) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:50:22 +0100

groff (1.22.2-7) unstable; urgency=medium

  * Simplify debian/rules slightly to avoid hardcoding the list of targets
    that dh(1) understands.
  * Update Vcs-Browser URL for alioth cgit.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 03:51:26 +0100

groff (1.22.2-6) unstable; urgency=medium

  * Note that groff_mmse(7) is only available in Swedish locales (closes:
    #710431).
  * Describe \- as a minus sign rather than a dash in /etc/groff/man.local
    and /etc/groff/mdoc.local (thanks, Bjarni Ingi Gislason; closes:
    #742086).
  * Adjust debian/source/lintian-overrides to match Lintian's current output
    correctly.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jun 2014 03:09:27 +0100

groff (1.22.2-5) unstable; urgency=medium

  * Remove the W3C validation icons from generated HTML, to avoid tracking.
  * Policy version 3.9.5: no changes required.
  * Remove "debian/rules quilt-setup" target, obsoleted by git-dpm.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jan 2014 09:55:32 +0000

groff (1.22.2-4) unstable; urgency=low

  * Move debian/source.lintian-overrides to preferred location of
    debian/source/lintian-overrides.
  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Fix bad Texinfo markup for \z escape.
  * Fix grolbp crash if a printer was never created (thanks, Mayhem team at
    CMU; closes: #716003).
  * Force gzip compression for groff-base.deb, to avoid causing problems for
    debootstrap on non-Debian-based systems following dpkg 1.17.0.
  * Switch to git; adjust Vcs-* fields.
  * Add support for various new BSD versions (thanks, Guillem Jover; closes:
    #717608).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Jan 2014 02:22:41 +0000

groff (1.22.2-3) unstable; urgency=low

  [ Colin Watson ]
  * Override license-problem-gfdl-invariants Lintian errors; these files are
    dual-licensed (closes: #708944).

  [ Daniel Schepler ]
  * Stop dh_install failing in DEB_BUILD_OPTIONS=no-groff-x11 bootstrap
    builds (closes: #709816).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 23:09:35 +0100

groff (1.22.2-2) unstable; urgency=low

  * Update /etc/groff/man.local and /etc/groff/mdoc.local with new
    commented-out code to force "-" back to Unicode HYPHEN, since upstream
    groff has mapped this to HYPHEN-MINUS since 1.20, and remove the
    Debian-local mapping of "\-" for the same reason.  Remove mention of
    this from README.Debian since the upstream change of default means that
    this is only of minority interest (closes: #703690).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Apr 2013 22:14:00 +0100

groff (1.22.2-1) unstable; urgency=low

  * New upstream release.
  * Note in the groff package description that the chem preprocessor
    requires perl.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Mar 2013 08:36:01 +0000

groff (1.22.1-3) unstable; urgency=low

  * When cross-building, unset CONFIG_SITE for the native build pass.
  * Support parallel builds.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 12:01:18 +0000

groff (1.22.1-2) unstable; urgency=low

  * Fix mom-pdf.pdf symlink broken by compression (closes: #697678).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jan 2013 12:09:43 +0000

groff (1.22.1-1) unstable; urgency=low

  * New upstream release (LP: #1095075).
  * Use xz compression for binary packages.
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Use dh-autoreconf.
  * Change Homepage from http://groff.ffii.org/ to
    https://www.gnu.org/software/groff/.  Suggested by Bernd Warken.
  * Don't compress *.mom examples.  They're not all that large, and this
    allows dropping a manual page patch against upstream.
  * Recommend perl for gropdf.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jan 2013 16:26:07 +0000

groff (1.21-9) unstable; urgency=low

  * Pass build flags in a few more places (based on a patch from Simon
    Ruderich; closes: #653852).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Jun 2012 01:32:46 +0100

groff (1.21-8) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options (based on a patch from
    Moritz Muehlenhoff; closes: #653852).
  * Adjust paths in groff_mom(7) (closes: #611904).

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 13:11:24 +0100

groff (1.21-7) unstable; urgency=low

  * Make groff-base and groff Multi-Arch: foreign.
  * Support cross-building.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Apr 2012 02:00:26 +0100

groff (1.21-6) unstable; urgency=low

  * Add mdoc support for various BSD versions (thanks, Guillem Jover;
    closes: #629159).

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Jun 2011 12:09:05 +0100

groff (1.21-5) unstable; urgency=low

  * Fix -mm .RD macro to use .if rather than .ie (thanks, James Avera;
    LP: #738169).

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Mar 2011 22:48:00 +0000

groff (1.21-4) unstable; urgency=low

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:29:38 +0000

groff (1.21-3) experimental; urgency=low

  * Go back to installing groff.info from the source directory, not the
    build directory; timestamps are such that make won't rebuild it (closes:
    #609459).

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2011 03:37:52 +0000

groff (1.21-2) experimental; urgency=low

  * Build-depend on texinfo (closes: #609459).
  * Only emit a single backspace for bold/underline in no-SGR mode.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Jan 2011 19:48:58 +0000

groff (1.21-1) experimental; urgency=low

  * New upstream release:
    - New warning category 'file'.  (man-db uses this as part of
      automatically enabling language-specific hyphenation rules, which
      should now work.)
    - CJK line-breaking and hyphenation support (closes: #552201).
    - Fix typo in groff_man(7) (closes: #369254).
    - Fix typo in "Character Translations" info node (closes: #450434).
    - Fix white heart and diamond Unicode values in groff_char(7) (closes:
      #540477).
    - Point to troff(1) for -w and -W in groff(1) (closes: #545807).
  * Document reasons for groff's Recommends in its package description
    (closes: #599648).
  * Switch build-dependency from byacc to bison, as that's what was used to
    generate the parsers in the 1.21 release.
  * Force YACC='bison -y' when configuring, to avoid problems if byacc is
    also installed.
  * Use a separate build directory, eliminating the requirement to preserve
    some files by hand.
  * Policy version 3.9.1:
    - Rename debian/README.build to debian/README.source.
    - Add a Homepage field.
    - Refer to /usr/share/common-licenses/GFDL-1.3 in debian/copyright
      rather than quoting it (although the GPL v3 governs this package, as
      explained in detail in debian/copyright).
    - Use Breaks rather than Conflicts.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Jan 2011 13:15:30 +0000

groff (1.20.1-10) unstable; urgency=low

  * Handle ditroff command `Dt' without argument gracefully (closes:
    #579890).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2010 12:57:58 +0100

groff (1.20.1-9) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Add a 'quilt-setup' target to debian/rules for the benefit of those
    checking out the package from revision control.
  * All patches are now maintained separately and tagged according to DEP-3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Mar 2010 19:50:42 +0000

groff (1.20.1-8) unstable; urgency=low

  * Add a watch file.
  * Add mdoc support for FreeBSD 7.2, 7.3, 8.0, and IEEE Std 1003.1-2008.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Feb 2010 10:08:09 +0000

groff (1.20.1-7) unstable; urgency=low

  * Use /bin/bash for grap2graph due to use of $RANDOM, as for eqn2graph and
    pic2graph.
  * Fix some unnecessary bashisms in gdiffmk (closes: #547750).
  * Use 'dh_installdocs --link-doc' option from debhelper 7.4.2.
  * Use POSIX-compliant 'trap' syntax (closes: #256226; the other problems
    identified in this bug were fixed some time ago).
  * Honour /etc/papersize in DVI output.
  * Remove contrib/pdfmark/groff-pdfroff.* on clean.
  * Preserve src/preproc/eqn/eqn.cpp, src/preproc/eqn/eqn_tab.h,
    src/preproc/pic/pic.cpp, src/preproc/pic/pic_tab.h, and
    src/preproc/refer/label.cpp, and restore them after running 'make
    realclean' to avoid a large diff.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Feb 2010 23:37:25 +0000

groff (1.20.1-6) unstable; urgency=low

  * Use dh_auto_install and dh_install.
  * Convert to dh(1).
  * Make /usr/share/groff/1.20.1/font/devlj4/generate/special.awk
    executable.
  * Move europs.tmac to groff-base (closes: #546844).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Sep 2009 09:51:21 +0100

groff (1.20.1-5) unstable; urgency=low

  * Upgrade to debhelper v7. (There's still lots of complexity here, so no
    dh(1).)
  * Remove Fumitoshi UKAI from Uploaders, with thanks for his previous work.
    Just shout if you want to be added back (closes: #541019).
  * Unset IFS at nroff startup (closes: #541621).
  * Patch from Openwall to fix temporary file handling vulnerabilities in
    pdfroff (closes: #538330).
  * Use -dSAFER when calling gs from pdfroff (thanks, brian m. carlson;
    closes: #538338).

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Aug 2009 09:01:47 +0100

groff (1.20.1-4) unstable; urgency=low

  * Move devtag.tmac and papersize.tmac to groff-base (thanks, Niko Tyni;
    closes: #537767).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jul 2009 06:01:02 +0100

groff (1.20.1-3) unstable; urgency=low

  * Tell 'make' (as well as 'make install') about docdir, so that it gets
    substituted properly into manual pages.
  * Adjust pic(1) and pdfroff(1) references to account for compression
    (closes: #498356).
  * Backport from upstream, fixing "bad character definition" warnings:
    - tmac/doc.tmac: Call `ec' before mapping characters.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 10:11:43 +0100

groff (1.20.1-2) unstable; urgency=low

  * Make sure /usr/share/groff/current is only in groff-base, not also in
    groff (closes: #537667).
  * Bump groff-base Replaces: groff version to include 1.20.1-1, just in
    case the above bug confused some dpkg databases into believing that
    /usr/share/groff/current is owned by groff.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 08:26:22 +0100

groff (1.20.1-1) unstable; urgency=low

  * New upstream release (closes: #196762, #415754). See the NEWS file for
    full details of improvements, to which I can't do justice here, but
    items relevant to Debian bug reports include:
    - Unicode input support has been very much improved, including a new
      'preconv' preprocessor which converts various input encodings to
      something groff can understand directly (closes: #322760), which also
      allows us to avoid the old and rather broken ascii8 device (closes:
      #533778); support for composite glyphs; and localisation files for
      several languages.
    - mdoc .Dt now allows overriding the volume name (closes: #176575).
    - Backquote formatting fixed in groff(1) (closes: #184603).
    - HTML output much improved, including a DOCTYPE (closes: #190209).
    - \[an] is now U+23AF, not U+2500 (closes: #382265).
    - rs/rq typo fixed in groff(7) (closes: #402854).
    - pic now supports up to 32 macro arguments, and ignores further
      arguments rather than crashing (closes: #453260).
  * Dropped multibyte patch. CJK is partially supported by way of Unicode
    input, but widths are wrong and proper line breaking is not implemented;
    this is planned to be added by way of "character classes". However, I
    can't justify holding new groff code out of Debian any longer when CJK
    manual pages can more or less be read with the new release.
  * Since the M and G fonts no longer exist:
    - \f5 and \f6 no longer break (closes: #227091);
    - We no longer get spurious devdvi font errors (closes: #194041);
    - We no longer fail to italicise or underline CJK text (closes:
      #288382).
    - Angle brackets around URLs no longer have broken widths (closes:
      #522323).
  * Add localisation macro files to groff-base.
  * Adjust #! line of font/devlj4/generate/special.awk; awk is in
    /usr/bin/awk on Debian, not /bin/awk.
  * Add preconv to groff-base.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jul 2009 23:06:42 +0100

groff (1.18.1.1-22) unstable; urgency=low

  * Fix bug number for groffer fix in previous changelog entry.
  * If the ascii8 device is used, pass through the input encoding even if
    LC_CTYPE=C (closes: #519367).
  * Build-depend on and recommend ghostscript rather than the obsolete
    package gs.

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Mar 2009 10:48:01 +0000

groff (1.18.1.1-21) unstable; urgency=low

  * Build-depend on xutils-dev rather than xutils (thanks, Daniel Schepler;
    closes: #485203).
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian).
  * Use /bin/bash for eqn2graph and pic2graph due to use of $RANDOM, even
    though that's only a fallback in case mktemp fails (closes: #489604).
  * Display more helpful output if a device was not found but is known to be
    one of the devices in the groff binary package rather than groff-base.
  * Define .PS and .PE to empty strings in pic output to inhibit -wmac
    warnings (closes: #495713); similarly, define .EQ and .EN to empty
    strings in eqn output.
  * Add information to debian/copyright (a file from newer groff releases
    and a clarifying e-mail) noting that upstream has relicensed the groff
    documentation under the terms of the GPL (closes: #374569).
  * Remove some fallback constructs from groffer that aren't necessary with
    POSIX shells and that break dash (closes: #454902).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Aug 2008 09:27:51 +0100

groff (1.18.1.1-20) unstable; urgency=low

  * Fix handling of properties of characters in the range 128-255 (closes:
    #199422).

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Mar 2008 17:29:05 +0100

groff (1.18.1.1-19) unstable; urgency=low

  * Add an-ext.tmac to groff-base (closes: #470729).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2008 10:28:58 +0000

groff (1.18.1.1-18) unstable; urgency=low

  * Backport from upstream:
    - Add an-ext.tmac, containing extension macros for -man such as UR/UE
      and MT/ME; load it from an-old.tmac. This file is under a very liberal
      licence, and manual page authors should copy any macros they use from
      it to the preamble of their manual pages in order to ensure
      portability to older groff and other manual page viewers (closes:
      #470469).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2008 12:29:03 +0000

groff (1.18.1.1-17) unstable; urgency=low

  * Backport from upstream:
    - Make the mdoc .In macro parsed and callable. If not in the synopsis,
      represent the C header file enclosed in angle brackets (closes:
      #466614).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Feb 2008 09:29:46 +0000

groff (1.18.1.1-16) unstable; urgency=low

  * Install groff_mmse(7) under /usr/share/man/sv/ (LP: #76255).
  * Add Korean support to devutf8 (thanks, Hansun Lee; LP: #176899).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Jan 2008 22:41:37 +0000

groff (1.18.1.1-15) unstable; urgency=low

  [ Forest Bond ]
  * debian/groff-base.mime: Use the utf8 device by default, as most modern
    systems use UTF-8 by default nowadays (LP: #174297).

  [ Colin Watson ]
  * Make nroff wrapper accept -w and -W options and pass them to groff to
    enable and disable warnings.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Dec 2007 19:12:14 +0000

groff (1.18.1.1-14) unstable; urgency=low

  * Use autotools-dev's recommended ./configure --build and --host options.
  * Update FSF address in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:16:53 +0000

groff (1.18.1.1-13) unstable; urgency=low

  * Add (untested) support for the BIG5-HKSCS encoding used by zh_HK.
  * Backport from upstream:
    - src/devices/grolbp/lbp.cc: Don't define _GNU_SOURCE (closes: #441534).
  * Make groff binary-NMU-safe by using ${binary:Version} rather than
    ${Source-Version}.
  * Don't ignore 'make realclean' or 'make extraclean' errors other than
    missing Makefiles.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Sep 2007 10:39:13 +0000

groff (1.18.1.1-12) unstable; urgency=low

  * src/devices/grohtml/post-html.cc: Remove extra qualification on
    char_block constructor (closes: #356248).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Apr 2006 12:05:51 +0100

groff (1.18.1.1-11) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, libxmu-dev, and libxt-dev rather than
    the transitional xlibs-dev package.
  * Use debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2005 13:28:09 +0000

groff (1.18.1.1-10) unstable; urgency=low

  * Configure gxditview with 'xmkmf -DBuildXaw=NO' to override imake's
    incorrect ideas about library linkage and avoid libXp when linking with
    libXaw7. We don't need Xprint support anyway.
  * Build-depend on just libxaw7-dev, dropping the alternative.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Sep 2005 10:38:10 +0100

groff (1.18.1.1-9) unstable; urgency=low

  * Move www.tmac to groff-base (closes: #319506).
  * Fix non-XSI code in groff.postinst (part of #256226).
  * Improve CJK support (closes: #324107):
    - Add support for Chinese GB2312/GBK and BIG5 encodings (in the
      increasingly-misnamed nippon driver), with kinsoku tables borrowed
      from Emacs. Simon Law eyeballed the GB2312/GBK table.
    - Expect UTF-8 input when running under a ko_*.UTF-8 locale. Functional
      Korean support still requires a kinsoku table and a groff font
      covering Hangul.
  * Fix use of DoCharacter() in multibyte case; some calls to it were
    missing the fourth argument (closes: #285524).
  * Policy version 3.6.2. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Aug 2005 12:54:37 +0100

groff (1.18.1.1-8) unstable; urgency=low

  * Avoid double fclose() in grn, which causes a build failure with glibc
    2.3.5.
  * Move gxditview from /usr/X11R6 to /usr.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 May 2005 16:34:34 +0100

groff (1.18.1.1-7) unstable; urgency=low

  * Too many fonts are missing the Unicode HYPHEN character, so I give up.
    Render "-" as HYPHEN-MINUS (ASCII 0x2D) by default. (Of course, manual
    pages using "-" when they should be using "\-" should still be fixed.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2005 17:57:51 +0000

groff (1.18.1.1-6) unstable; urgency=low

  * Refer to /usr/share/doc/groff-base/copyright or
    /usr/share/doc/groff/copyright in the header of all manual pages
    licensed under the GFDL, per GFDL section 6 "COLLECTIONS OF DOCUMENTS"
    (closes: #292229, #292230).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jan 2005 09:28:10 +0000

groff (1.18.1.1-5) unstable; urgency=high

  * Upstream fix for temporary file handling vulnerability in pic2graph
    (closes: #286371).
  * Upstream fix for temporary file handling vulnerability in eqn2graph
    (closes: #286372).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Dec 2004 14:26:25 +0000

groff (1.18.1.1-4) unstable; urgency=low

  * Fix use of anonymous structs at top level, which gcc-4.0 doesn't like
    (patch backported from upstream, by Art Haas; closes: #282682).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Dec 2004 14:39:11 +0100

groff (1.18.1.1-3) unstable; urgency=low

  * Clarify copyright file (closes: #279904). Some items of documentation
    are under non-free licences; this is exempt for sarge, and in any case
    will be resolved when I update to a new version of groff after sarge.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2004 19:36:29 +0000

groff (1.18.1.1-2) unstable; urgency=high

  * [SECURITY] Fix a race condition in groffer leading to a temporary file
    handling vulnerability (closes: #278265).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Oct 2004 23:52:13 +0100

groff (1.18.1.1-1) unstable; urgency=low

  * The "Death! Ride, ride to ruin and the world's ending!" release.
  * New upstream release. The only change is an updated groffer script.
  * Policy version 3.6.1. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Jun 2004 01:44:41 +0100

groff (1.18.1-15) unstable; urgency=low

  * Create eqn2graph's temporary files in /tmp, not /usr/tmp (thanks, Einar
    Karttunen; closes: #216819). How did I miss this when doing the same for
    pic2graph?

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2004 11:37:26 +0000

groff (1.18.1-14) unstable; urgency=low

  * Document Unicode hyphen configuration in README.Debian.

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Nov 2003 17:43:03 +0000

groff (1.18.1-13) unstable; urgency=low

  * Add sample code to /etc/groff/man.local and /etc/groff/mdoc.local to
    make "-" render as Unicode HYPHEN-MINUS on the utf8 device. This is
    commented out by default because man pages which require this are buggy:
    "\-" should be used instead when a real dash as opposed to a logical
    hyphen is required.
  * Fix some typos in groff(1) (thanks, Göran Weinholt; closes: #181375).

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Nov 2003 12:52:18 +0000

groff (1.18.1-12) unstable; urgency=low

  * Create pic2graph's temporary files in /tmp, not /usr/tmp (thanks, Alex
    Withers; closes: #216819).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Oct 2003 09:24:37 +0100

groff (1.18.1-11) unstable; urgency=low

  * Never recode input or output for the ascii8 device. It doesn't work in
    non-trivial locales, since ascii8 isn't supposed to be prepared for
    input in, say, UTF-8, and the point of ascii8 is to be a trivial hack
    device for use when you know your input encoding is the same as your
    output encoding. This makes man(1)'s life easier, and incidentally fixes
    a problem with iconv replacing certain Polish characters with question
    marks (closes: #170320).
  * Revert part of the original attempt at fixing #170320 (in 1.18.1-2),
    which made ascii8 accept U+0100 to U+0200. This is no longer necessary
    with the above, and it broke the assumptions in
    font::get_font_wchar_metric(), causing problems for KOI8-R input.
  * Stop output devices breaking when given the 'x init' command in an
    intermediate output file rather than 'x init <encoding>'.

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Sep 2003 16:17:41 +0100

groff (1.18.1-10) unstable; urgency=low

  * Fix wrong devps Japanese font metrics (thanks, Masatoshi Suehiro and
    Junichi Uekawa; closes: #194016).

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2003 02:54:34 +0100

groff (1.18.1-9) unstable; urgency=low

  * Fix segfault in grotty when changing the colour before setting the
    initial font (closes: #189384).

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Apr 2003 00:47:43 +0000

groff (1.18.1-8) unstable; urgency=low

  * Make sure that the default input character encoding is always
    ISO-8859-1, except for the ascii8 device and for Japanese locales. This
    is required for compatibility with upstream.
  * Automatically load latin1.tmac when using all terminal devices except
    ascii, not just the latin1 device.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Apr 2003 00:11:40 +0100

groff (1.18.1-7) unstable; urgency=low

  * Use groff's font metric instead of wcwidth()
    (src/devices/grotty/tty.cc): add cols to tty_font
  	add_char takes font parameter
  	tty_printer:add_char calculate hpos by using font metric
    (src/include/encoing.h src/libs/libgroff/encoding.cc):
  	put_wchar returns number of bytes written, not columns.
  * font metric fixed, X*/M.proto,
  * fix sed script in font's Makefile.sub. sed doesn't see + as regex metachar.
    replace [0-9]+ to [0-9][0-9]*.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 24 Feb 2003 10:59:09 +0900

groff (1.18.1-6) unstable; urgency=low

  * Use wcwidth() to find the width of UTF-8 characters. This seems to work
    well for both en_GB.UTF-8 and ja_JP.UTF-8, so both CJK and non-CJK
    output should finally be correct (closes: #173764).
  * Recommend libpaper1 instead of libpaperg.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Feb 2003 19:33:50 +0000

groff (1.18.1-5) unstable; urgency=low

  * put_wchar() returns number of columns for char
  * add UTF-8 support for Japanese.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  7 Feb 2003 00:32:00 +0900

groff (1.18.1-4) unstable; urgency=low

  * Fix over-zealous backspacing in UTF-8 output (closes: #173764).

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Feb 2003 01:31:57 +0000

groff (1.18.1-3) unstable; urgency=low

  * Recode this changelog to UTF-8.
  * Clarify README.Debian to mention the error message you get if you've
    forgotten to install groff as well as groff-base (see #175585).
  * Build with g++ 3.2. Drop hppa -fno-strength-reduce hack from 1.17.2-12,
    which I hope should no longer be required.

 -- Colin Watson <cjwatson@debian.org>  Wed,  8 Jan 2003 03:26:13 +0000

groff (1.18.1-2) unstable; urgency=low

  * Backport upstream patch to fix segfaults in
    node::add_discretionary_hyphen() observed while building aegis and
    aegis3 (closes: #173058, #173063).
  * Fix pic2graph syntax error, thanks to lintian. Patch also sent upstream.
  * Patch from Fumitoshi UKAI to fix ISO-8859-2 output through devascii8
    (closes: #170320).

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2002 14:59:20 +0000

groff (1.18.1-1) unstable; urgency=low

  * New upstream release.
    - Includes 'Am' string in mdoc from NetBSD (closes: #163195).
  * Amend debian/copyright to reflect that the papersize fallback patch has
    been merged upstream.
  * Actually call the GROFF_LANGINFO_CODESET macro as well as defining it.

  * New multibyte patch from Fumitoshi UKAI, with adjustments by me. Fixes
    Japanese HTML output, among other things (closes: #149006).

    groff (1.18.1-0.u1) unstable; urgency=low

      * for C or POSIX locale, use ascii8 encoding handler
      * xditview supports ENABLE_MULTIBYTE (at least Japanese)

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  4 Nov 2002 02:05:16 +0900

    groff (1.18.1-0.u) unstable; urgency=low

      * New upstream release

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  9 Oct 2002 02:09:41 +0900

    groff (1.18-6.u2) unstable; urgency=low

      * src/roff/troff/input.cc: fix bug in wchar_charinfo()
      * src/device/grohtml/post-html.cc: works ENABLE_MULTIBYTE
      * font/devhtml: add font M, G for Japanese
      * grohtml works (japanese)

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 23 Sep 2002 02:56:59 +0900

    groff (1.18-6.u1) unstable; urgency=low

      * new multibyte support patch based on japanese patch
        - use iconv
        - add .encoding directive (default encoding is determined from locale)
        - \[u<code>] supported
        - font/*/DESC:
           add fontset
        - font/*/<font>
           add u<code>..u<code> range
        - grotty and grops works (japanese)

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 22 Sep 2002 04:47:10 +0900

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2002 23:16:32 +0000

groff (1.18-7) unstable; urgency=low

  * Policy version 3.5.7:
    - Drop DEB_BUILD_OPTIONS=debug support; compile with -g by default.
    - Support DEB_BUILD_OPTIONS=noopt.
  * src/roff/troff/node.cc (bracket_node::copy): Fix a segfault on copying
    an empty bracket_node, such as '(\bu' (closes: #162595).

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Sep 2002 16:03:22 +0100

groff (1.18-6) unstable; urgency=low

  * Backport upstream patch to m.tmac for the benefit of gpresent: the VM
    macro definition was missing a backslash (closes: #160713).

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2002 00:54:39 +0100

groff (1.18-5) unstable; urgency=low

  * Document the Debian groff macro path in README.Debian.
  * Map \- to Unicode HYPHEN-MINUS in UTF-8 mode, for more convenient
    searching in man pages (closes: #159872).

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 Sep 2002 22:34:21 +0100

groff (1.18-4) unstable; urgency=low

  * Upstream patch to freeze unbreakable spaces, preventing a failed
    assertion on latin1(7) (closes: #155969).
  * Install text versions of meintro.ps, meref.ps, and pic.ps. Other
    documents either aren't very useful in plain text or don't format well
    (closes: #155226).
  * Reorder clean target a little.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Aug 2002 10:54:54 +0100

groff (1.18-3) unstable; urgency=low

  * src/devices/grohtml/html-table.cc: Initialize another variable properly.
    This really fixes the segfault during the arm build.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Jul 2002 02:52:20 +0100

groff (1.18-2) unstable; urgency=low

  * src/include/encoding.h: Fix broken token-after-#endif syntax.
  * src/devices/grohtml/post-html.cc: Make sure pointsize is initialized
    properly. This fixes an infinite loop in the ia64 build, and perhaps arm
    too.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Jul 2002 18:41:46 +0100

groff (1.18-1) unstable; urgency=low

  * New upstream release. Highlights:
    - Colour support (although see below).
    - New macro set, mom, mainly for non-scientific writers. The aim of
      these macros is to make groff accessible for ordinary use with a
      minimum of convoluted syntax.
    - 'eu' and 'Eu' characters available for Euro support.
    - Improved support for TeX hyphenation files.
    - New means of setting the line length, which now works for -mdoc manual
      pages as well as -man. Use man-db >= 2.4.0 to take advantage of this.
    - Documentation of the differences between groff and Unix troff is now
      in groff_diff(7).
    - groff_mwww(1) has been renamed to groff_www(1).
    - groff_ms(7) has been completely rewritten.
    - New scripts: groffer, pic2graph, and eqn2graph.
    - Substantial improvements in grohtml (although it's still alpha),
      including dealing with overstriking properly (closes: #67545).

  * Many thanks, again, to Fumitoshi UKAI for forward-porting the Japanese
    patch.
  * Disable the new ANSI colour/bold/underline escapes in nroff mode,
    because most pagers either fail to cope with it or need special options
    to do so. It can be re-enabled by editing /etc/groff/man.local and
    /etc/groff/mdoc.local, or by setting the environment variable GROFF_SGR
    to something non-empty.
  * Drop most current /etc/papersize patches, as the 'papersize' DESC
    keyword is now available upstream. We now only patch the DESC files and
    extend the papersize keyword to allow falling back to something else if
    /etc/papersize doesn't exist.
  * Fix the removal of final newlines when reading /etc/papersize.
  * Translate the 'oq' character to an apostrophe (0x27) rather than a
    backquote (0x60) when using devices other than utf8 (closes: #149086).

  * Merge groff-x11 back into groff, since this release doesn't have to
    worry so much about smooth upgrades from potato (closes: #129835).
  * Accordingly, remove the debconf note about this, since it was an abuse
    of debconf anyway. README.Debian describes the package organization.
  * Include more documentation in the main groff package (closes: #121475).
  * Build-depend on gs, netpbm, and psutils for HTML documentation. Mention
    in README.build that people bootstrapping a new port or otherwise
    building the base system from scratch don't need these three.
  * Recommend these three packages for the grohtml driver.
  * Recommend imagemagick for pic2graph and eqn2graph.
  * Downgrade libpaperg dependency to a recommendation, since we fall back
    to a4 now if it's not installed.
  * Use debhelper v3 mode.
  * Upstream ships pre-built info files now, so use them. You need texinfo
    (>= 4.2) if you want to regenerate them.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Jul 2002 18:33:04 +0100

groff (1.17.2-17) unstable; urgency=low

  * Back to unstable, now that there's no concern about disrupting woody.
    Merge changes from -15.woody.1 (unstable) and -16 (experimental).
  * Delete excess charset information in M and G font files that also use
    the fixedkanji directive, after consultation with Fumitoshi UKAI. This
    saves over 1.6Mb.
  * Move ps device to base, now that it isn't quite so large. It's needed
    there because it's the default device (closes: #131410).
  * Update the descriptions of groff-base and groff for the move of the
    PostScript device.

 -- Colin Watson <cjwatson@debian.org>  Sat,  4 May 2002 18:03:40 +0100

groff (1.17.2-16) experimental; urgency=low

  * Experimental upload for the benefit of the NetBSD porters.
  * Document the build-dependency loop with xfree86, and allow people
    constructing new ports to override this temporarily with
    DEB_BUILD_OPTIONS=no-groff-x11 (closes: #130312).
  * Import AM_LANGINFO_CODESET macro from gettext, and use it for
    --enable-japanese to provide an emulation of nl_langinfo(CODESET) for
    systems that don't have it (closes: #130356).
  * Fix build without --enable-japanese.
  * Build-depend on a version of debhelper which pulls in debconf-utils
    (closes: #130357).
  * Test that Makefile.clean doesn't exist before clobbering it in the
    configure target.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Jan 2002 18:34:22 +0000

groff (1.17.2-15.woody.1) unstable; urgency=medium

  * New Danish debconf translation (thanks, Rune B. Broberg;
    closes: #131092).
  * New French debconf translation (thanks, Philippe Batailler;
    closes: #138515).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Mar 2002 04:11:50 +0000

groff (1.17.2-15) unstable; urgency=high

  * Fix buffer overflow in grn (closes: #129261).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jan 2002 00:22:19 +0000

groff (1.17.2-14) unstable; urgency=low

  * Upstream patch to make .TH respect the line length (closes: #125826).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jan 2002 02:49:45 +0000

groff (1.17.2-13) unstable; urgency=high

  * Fix peekbyte() to return correctly (closes: #122702).

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Dec 2001 17:15:20 +0000

groff (1.17.2-12) unstable; urgency=high

  * Use -fno-strength-reduce on hppa, as a temporary workaround for a
    compiler bug.
  * Display package-split note when reconfiguring (closes: #122420).

 -- Colin Watson <cjwatson@debian.org>  Wed,  5 Dec 2001 17:24:08 +0000

groff (1.17.2-11) unstable; urgency=high

  * Use lpr as the print spooler, even if it happens not to be installed on
    the build system. This broke 'groff -l' (thanks, Mike Fontenot).

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Nov 2001 21:41:29 +0000

groff (1.17.2-10) unstable; urgency=high

  * Install lbp.tmac (closes: #121765).

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Nov 2001 20:28:18 +0000

groff (1.17.2-9) unstable; urgency=low

  * Add Fumitoshi UKAI to Uploaders, in case of emergencies.
  * Move refer to groff, as this saves over 100K in groff-base and I don't
    think refer is very useful without additional macro packages.
  * Document refer in groff's description.
  * Move ChangeLog.jp and README.jp to groff-base.
  * Replace createM.c with a Perl implementation to aid cross-compilation
    (thanks, Fumitoshi UKAI; closes: #114338).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Oct 2001 04:35:20 +0100

groff (1.17.2-8) unstable; urgency=medium

  * The "Texas Armadillo" release.
  * Policy version 3.5.6 (support build-arch and build-indep targets).
  * Reduce size of devnippon fonts, and include devnippon in groff-base
    (thanks, Fumitoshi UKAI and GOTO Masanori; closes: #112622).
  * Upstream fix for overzealous warnings from -mm and -ms (closes: #69129).
  * Fix building in a subdirectory (closes: #111229).
  * Remove spurious substitutions of '..' for '.' in groff_man(7).
  * groff depends on libpaperg so that /etc/papersize is always present.
  * Urgency medium as the above has broken some builds of other packages.
  * Correct quoted-printable remnant in Brazilian Portugese debconf template
    (thanks, Andre Luis Lopes; closes: #110192).
  * New Russian debconf template (thanks, Ilgiz Kalmetev; closes: #112653).

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Sep 2001 01:34:21 +0100

groff (1.17.2-7) unstable; urgency=low

  * Back with a new GPG key after a disk crash. Thanks for the NMU in the
    meantime (closes: #107998, #108705).
  * Document that -E can't suppress messages output to stderr by macro
    packages using .tm or .tm1 (fix from upstream CVS; closes: #69130).
  * src/devices/grotty/tty.cc: Correct one instance of putchar() on a
    potential UTF-8 character to put_char() (thanks, Mike Fabian and Michael
    Schroeder; closes: #110008).

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Aug 2001 00:15:42 +0100

groff (1.17.2-6.1) unstable; urgency=low

  * Non Maintainer Upload
  * fix hyphen character problem in EUC-JP encoding
    (closes: Bug#107998).

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Aug 2001 02:06:21 +0900

groff (1.17.2-6) unstable; urgency=medium

  * src/devices/grohtml/post-html.cc: Put characters into the right places
    in the output buffer so that HTML output no longer ends up as gibberish
    (closes: #107788).

 -- Colin Watson <cjwatson@debian.org>  Wed,  8 Aug 2001 00:33:13 +0100

groff (1.17.2-5) unstable; urgency=high

  * src/preproc/pic/pic.y: Fix format string vulnerability that could allow
    the -S flag to be disabled (closes: #107459). Patch adapted from one by
    Zenith Parsec <zen-parse@gmx.net>.
  * Add a note to README.Debian about where to find documentation.

 -- Colin Watson <cjwatson@debian.org>  Thu,  2 Aug 2001 20:36:18 +0100

groff (1.17.2-4) unstable; urgency=low

  * src/preproc/eqn/text.cc: Initialize wc to the value of the current
    character even if it isn't a wide character. Otherwise eqn would output
    nulls instead of normal characters (closes: #106551).
  * Conflict with jgroff as well as with pre-split versions of ordinary
    groff, and make references to jgroff versioned to avoid triggering on
    groff's Provides: field.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2001 22:40:52 +0100

groff (1.17.2-3) unstable; urgency=low

  * Remove spare newline from troffrc, which broke e.g. the ms macros
    (closes: #105777).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Jul 2001 00:07:18 +0100

groff (1.17.2-2) unstable; urgency=medium

  * Urgency medium to get a halfway recent groff into testing for the base
    system freeze. This version should be a significant improvement for
    non-ASCII/Latin-1 users.

  * New Japanese patch from Fumitoshi UKAI:

    groff (1.17.2-1.ukai.1) unstable; urgency=low

      * fix tmac/euc-jp.tmac (fix coding-system)

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Jul 2001 21:14:56 +0900

    groff (1.17.2-1.ukai.0) unstable; urgency=low

      * revised Japanese patch evaluation build
        - refactoring, cleanups
          not completed (for example src/xditview)

     -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Jul 2001 15:27:59 +0900

    Also added dq and cq characters to the ascii8 and nippon devices.

  * Make groff-base and groff-x11 conflict with pre-split groff
    (closes: #105276).
  * Move ascii8 device to groff-base (closes: #105627).
  * Remove stray + in groff(1) (closes: #105530).
  * New Brazilian Portugese debconf translation (thanks, Andre Luis Lopes;
    closes: #105367).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jul 2001 17:58:23 +0100

groff (1.17.2-1) unstable; urgency=low

  * New upstream release. Fixes \s[0] escape (affects non-tty use of mdoc).
  * debian/rules:
    - The clean target now cleans the source tree better.
    - Use version detection from Makefile.in: it's friendlier to syntax
      highlighting.

 -- Colin Watson <cjwatson@debian.org>  Mon,  9 Jul 2001 03:35:20 +0100

groff (1.17.1-3) unstable; urgency=low

  * New Spanish debconf translation (thanks, Carlos Valdivia Yagüe;
    closes: #102897).

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Jun 2001 20:05:18 +0100

groff (1.17.1-2) unstable; urgency=low

  * Conflict with pmake (<< 1.45-7), which had problems with the new
    location of groff's macros (see #101973).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Jun 2001 03:45:43 +0100

groff (1.17.1-1) unstable; urgency=low

  * New upstream release.
  * Of course, the library directory has moved with the new version number.
    Add a symlink, /usr/share/groff/current, which points to the current
    library directory; also add a versioned conflicts on troffcvt, which I'm
    about to fix to cope with this. If you rely on some particular version,
    use it; if not, use current.
  * Autogenerate debian/groff-base.files and debian/groff-base.links.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2001 00:54:37 +0100

groff (1.17-4) unstable; urgency=low

  * Back out patch supporting transparent decompression of groff's input
    stream. Since programs using groff have to support systems where *roff
    doesn't know how to decompress things, it doesn't really simplify
    anything else greatly; more importantly, using gzip means that argument
    parsing didn't always work the way we expected (closes: #75990).
  * The lj4 and ps drivers already support /etc/papersize due to an earlier
    Debian patch, and it turns out that lbp supports it upstream but wasn't
    previously configured to use it. Altered its DESC file to meet libpaper
    standards (closes: #19681, #19722).
  * Move the error unwind for groff-base's preinst into its postrm (oops).
  * New German debconf translation (thanks, Sebastian Feltel;
    closes: #100681).
  * Add README.Debian, describing the recent package reorganization.
  * Update copyright file to describe all upstream-relevant patches.

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Jun 2001 00:43:45 +0100

groff (1.17-3) unstable; urgency=low

  * Restore /usr/share/groff/tmac to the macro path, as some third-party
    programs install macros there (should fix #100139, but I'll leave it to
    the vgrind maintainer to check that groff 1.17 hasn't broken anything
    else).

 -- Colin Watson <cjwatson@debian.org>  Fri,  8 Jun 2001 19:06:15 +0100

groff (1.17-2) unstable; urgency=low

  * Brown paper bag bug: move grotty to groff-base!
  * Also move the doc macros to groff-base; some man pages use them. (This
    and the above bloat -base by some 200K, I'm afraid.)
  * Mention in the debconf note that groff-base supports Latin-1 and UTF-8
    as well as ASCII.
  * /usr/share/groff/site-tmac contains mdoc.local as well as man.local as
    of 1.17, so make that whole directory a symlink to /etc/groff and
    migrate the old /etc/tmac.man.local conffile to /etc/groff/man.local.
    This seems to need some ugly migration code.
  * Back out the autoconf 2.50 diffs for now, as they were polluting the
    .diff.gz. I've sent them upstream, though.

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Jun 2001 17:02:12 +0100

groff (1.17-1) unstable; urgency=low

  * New maintainer (ciao, Fabrizio).
  * Thanks for the NMUs (closes: #75722, #90765).
  * New upstream release, with corresponding debian/copyright updates.
  * Follow upstream's move to versioned subdirectories of /usr/share/groff.
  * The components of groff required to support normal use of man-db are now
    in a separate package, groff-base (thanks, Elrond; closes: #53225).
  * Also split out gxditview and the devices that use it into the groff-x11
    package. I'd have preferred them to stay part of groff, as discussed on
    -devel, but the necessary xlibs dependency would mean that everybody
    dist-upgrading from a potato base system would get the X libraries.
    Added a debconf note to avoid silent loss of functionality; maybe in
    woody+1 they can be merged back into groff.

  * New packaging, using debhelper.
    - This shouldn't generate invalid syntax in the prerm (closes: #86437).
    - All binaries should be correctly stripped now (closes: #96786).
  * Add build dependencies (thanks, Daniel Schepler; closes: #80844).
  * Don't bother running configure in the clean target.
  * Touch configure in debian/rules to avoid a build-dep on autoconf. This
    means I have to remember to run the autotools manually every time. Ugh.
  * Support DEB_BUILD_OPTIONS debug and nostrip.
  * Mark /etc/X11/app-defaults/GXditview as a conffile.
  * All this brings us to Standards-Version: 3.5.2.

  * New Japanese patch (version 0.0.2) from Fumitoshi UKAI. This may not be
    quite right yet; please let me know if there are any problems.
  * Replace mdate.sh with something whose results are more predictable
    (thanks, Florian Lohoff; closes: #62554).
  * Force LC_ALL to C so that makeinfo doesn't insert some localized strings
    for the package builder's environment (closes: #84370).
  * s/man/man-db/ in the package description.
  * Remove an autoconf hack from aclocal.m4; the bug it's working around is
    now fixed and the hack broke with autoconf 2.50 (closes: #98916).
  * Set gxditview's fontpath in debian/rules, restoring
    /usr/local/share/groff/font.
  * Preserve the Makefile to avoid a large diff.
  * Back out single-page an.tmac patch; upstream did it more neatly.

 -- Colin Watson <cjwatson@debian.org>  Sat,  2 Jun 2001 20:18:14 +0100

groff (1.16-3.4) unstable; urgency=medium

  * Non-maintainer upload
  * gcc 3.0 fixes (needed by PARISC port).  fixes #90765.

 -- LaMont Jones <lamont@debian.org>  Wed, 25 Apr 2001 00:19:29 -0600

groff (1.16-3.3) unstable; urgency=medium

  * Non-maintainer upload
  * fixed font count in font/devdvi/DESC.in as suggested in bug
    report from John P. Cummings <cummij@rpi.edu>, closes: #75722

 -- Paul Bame <bame@debian.org>  Sat, 24 Feb 2001 17:16:47 -0700

groff (1.16-3.2) unstable; urgency=high

  * Added ascii8 device and fixed bug with (non-latin1&&non-CJK) man-pages
    viewing (before this polish, russian etc. manpages couldn't be viewed),
    closes: #81148, #71744, #66928, #74535

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 14 Jan 2001 01:09:24 +0300

groff (1.16-3.1) unstable; urgency=low

  * Rebuilt on a system with Xfree 4 and toasted contents of /usr/X11R6/lib,
    closes: #76813, #77024, #77515, #77608, #77684, #78054, #78905, #79472,
    #80559

 -- Robert Woodcock <rcw@debian.org>  Thu, 28 Dec 2000 20:51:34 -0800

groff (1.16-3) unstable; urgency=low

  * oops: had left generated files in the diff.
  * In new macro checking for gzcat (aclocal.m4), added use of option -f
    to permit transparent fallback to 'normal' cat.
  * In src/roff/groff/groff.cc , added gzcat command before soelim; it
    permits transparent use of zipped or not sources.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 27 Aug 2000 18:13:10 +0300

groff (1.16-2) unstable; urgency=low

  * now going into woody (previous were experimental).
  * Added check for gzip in configure.in
  * Applyed correction to patch #64551, thanx to Werner LEMBERG.
  * Added single final footer to an macro, thanx to Werner LEMBERG;
    closes: #65735. (waiting for the same for the doc macro)

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  3 Jul 2000 00:13:23 +0300

groff (1.16-1) experimental; urgency=low

  * Fixed src/roff/nroff.sh, which was too much different from the
    previous one to apply the dumb patch.
    Thanx to Taketoshi Sano for the right patch!
    (that was exactly the reason for using experimental instead of
    unstable: uploading something broken and ask for help to fix it,
    yeah!)

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 16 Jun 2000 11:33:47 +0300

groff (1.16-0) experimental; urgency=low

  * New upstream release.
  * Manually applyed all the nippon and ascii8 changes.
    Failed for: src/roff/nroff.sh,
  * Added new info document.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  7 Jun 2000 19:09:17 +0300

groff (1.15.3-2) unstable; urgency=low

  * Applied patch proposed by Karl M.Hegbloom to get a single page from
    manpages when in nroff mode.  Closes: #64551.

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 25 May 2000 13:43:18 +0300

groff (1.15.3-1) unstable; urgency=low

  * re-enabled default font in Dvi.c, thanx to Kevin Ryde.
    closes: #63491, but opens probably some other i18n related bug,
    sigh.
  * changed version to 1.15.3 (waiting for 1.16 :-) to be grater than
    the version in slink and than the one in potato.
    This means that I must reupload the sources ... which were gone from
    woody anyway (why it's possible?).
  * Applyed patch submitted by Tomohiro KUBOTA:
    * Added a new device type 'ascii8', which is 8 bit clean (like latin1)
      but does not use Latin-1 character for hyphenation and so on (like
      ascii).  This device is intended to be used for codesets other than
      ASCII and ISO-8859-1.  This device should be temporal till all
      charsets (ISO-8859-*, KOI8-R, EUC-KR, EUC-ZH, TIS620, and so on so on)
      in the world are implemented, though this is almost impossible.
    * Added a new character 'sy', which is soft hyphen.  This character is
      defined only for latin1 device.  This 'sy' is used for hyphenation
      instead of [char173], because [char173] may not be a soft hyphen,
      though [char173] is a soft hyphen in ISO-8859-1.
      Tomohiro KUBOTA <kubota@debian.or.jp>  Wed, 19 Apr 2000 23:47:18 +0900
    This closes: #62840.

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 11 May 2000 10:44:14 +0300

groff (1.15-3.ja.3) unstable; urgency=low

  * Corrected bug that segfaults when reading manpage printf(1), thanx
    to David Schmitt who submitted the bug (closes: #60096) and to
    Fumitoshi UKAI who submitted the patch to fix it. It was the same
    bug that jgroff had (#59628).

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 13 Mar 2000 12:50:02 +0200

groff (1.15-3.ja.2) unstable; urgency=low

  * Included changes proposed by Fumitoshi UKAI and Taketoshi Sano.
  * corrected groff_man manpage which didn't parse correctly for mandb.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 25 Feb 2000 20:57:40 +0200

groff (1.15-3.ja.1) experimental; urgency=low

  * Added japanes patch for join with jgroff.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 30 Jan 2000 15:36:03 +0200

groff (1.15-3) frozen unstable; urgency=high

  * mm and mse macros were missing (thanx to Daniel Quinlan to make me
    discover this grave bug); closes: #55428.
  * corrected wrong .so request in macro mse

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 17 Jan 2000 15:25:06 +0200

groff (1.15-2) unstable; urgency=low

  * quick fix to a bug reported only mainstream.
    postscript device fails if paper format is not a4 or letter.
    Fixed using "letter" for all other formats, as it _was_ before.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 14 Jan 2000 12:21:38 +0200

groff (1.15-1) unstable; urgency=low

  * new upstream release: only minor bugfixes.

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu,  6 Jan 2000 18:23:41 +0200

groff (1.12-1) unstable; urgency=low

  * new upstream release.
    Got all previous changes (except papersize),
    plus: new HTML device! (expermental).
  * leaved version numeric only: closes: #31739, thanx to
    Jonathan H N Chin <jhnc@pfaff.newton.cam.ac.uk>.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 17 Dec 1999 14:40:46 +0200

groff (1.11b-1) unstable; urgency=low

  * updated to policy 3.1.0.
  * new imminent release 1.12; this use groff-current renamed
    groff-1.11b.  Not to be uploaded until 1.12 is released.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 12 Dec 1999 18:15:26 +0200

groff (1.11a-9) unstable; urgency=low

  * not uploaded due to imminent 1.12
  * added management of /etc/papersize in driver lj4.
    todo: the same in driver ps.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun,  5 Dec 1999 14:26:18 +0200

groff (1.11a-8) unstable; urgency=low

  * moved tmac.local to /etc (as tmac.man.local) and symlinked from the
    original place; made it a conffile. Thanx to Decklin Foster
    <decklin@home.com>, closes: #39043
  * recompiled with libstdc++2.10 . closes: #49392.
  * added manpages groff_mdoc(7) and groff_mdoc.samples(7) taken from
    netBSD, thanks to Ben Harris <bjh21@cam.ac.uk>. closes: #49159.
  * added Y2K corrections from the beta-12, from Paul Eggert.
  * Got rid of old and unusefull checks in postinst.
  * added symlink from /usr/doc, and added -e to script; closes: #39410
  * Bugs fixed in previous releases: closes: #27016, #28097.
  * Updated to std policy 3.0.1

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 26 Oct 1999 14:39:10 +0300

groff (1.11a-7) unstable; urgency=low

  * Applied patch to add include path search to groff e gsoelim, provided by
    Peter Miller <millerp@canb.auug.org.au> needed by aegis.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 17 Oct 1998 23:45:27 +0300

groff (1.11a-6) unstable; urgency=low

  * Recompiled to generate new dependencies into libs
    (closes: #27790, thanx to Zephaniah E, Hull.)
    [Previous attempt wasn't succesful.]

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 17 Oct 1998 02:39:10 +0300

groff (1.11a-5) unstable; urgency=low

  * Recompiled to generate new dependencies into libs
    (closes: #27790, thanx to Zephaniah E, Hull.)
  * added mime file as suggested by Brian White
    (closes: #27016)

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 13 Oct 1998 18:54:55 +0300

groff (1.11a-4) unstable; urgency=low

  * Added groff_man(7) manpage for tmac.an macro written by Susan Kleinmann.
  * Added patch from Andy Dougherty to let groff pass the -U flag along to
    troff. (closes: #20628)

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat,  4 Apr 1998 23:46:42 +0300

groff (1.11a-2) unstable; urgency=low

  * groff (1.11a-2) unstable; urgency=low
  * groff (1.11a-0bo2) bo-unstable; urgency=low

  * (lintian): added a symlink for neqn manpage.
  * (lintian): changed mode of manpage gxditview.1x to 644.
  * (lintian): changed mode of app-defaults/GXditview to 644.
  * (lintian): updated the debian/copyright file (previously
    debian/README), to point to the actual postal address of the FSF,
    even if the sources in the distribution, including the COPYING file)
    still point tro the old file (this should be reported as a bug to
    upstream :-) .  Now it says:
        A copy of the GNU General Public License is available in
        /usr/doc/copyright/GPL (as installed by package base-files);
        if not, write to the Free Software Foundation, Inc.,
        59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  * commented creation of ctags file in debian/rules (closes: #15825,
    #16006).
  * checked correct build of fontpath (closes: #16007).
  * added gzipping of X11 manpage (closes: #17455), tx to David ROCHER.
  * reverted security changes done in 1.10-3.5 due to added use of safer
    macro.  Added -U flag to nroff/troff/groff/pic to revert to old
    unsecure behaviour:
    - nroff script defaults calling groff -S
    - troff defaults as called with -msafer
    - groff defaults as called with -S
    - pic defaults as called with -S
    Updated manpages nroff(1), groff(1), troff(1), pic(1) for the -U option.
  * changed reference to me and msafer manpages in groff(1), to reflect
    the change in their names (done in 1.10-3.5 and 1.10-5).

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 15 Feb 1998 13:09:27 +0200

groff (1.11a-1) unstable; urgency=low

  * changed Standards Version to 2.3.0.1
  * corrected names of copyright and chnagelog files.
  * added full copyright from MIT (for gzditview).
  * avoid gzipping of copyright file (oops!)
  * new upstream version 1.11a (fixes #12130) including:
    - new document for pic.
    - changes to groff manpage.
  * full libc6 version (fixes #14592) Since there aren't changes to
     code, there's no need for a libc5 version.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 17 Nov 1997 11:00:21 +0200

groff (1.10-3.5) stable; urgency=high

  * Compiled under debian-1.3.1 (libc5) as a security bugfix; used
     version number 3.5 (instead of 5) to avoid downgrading for hamm.
  * Avoided execution of arbitrary code embedded in documents;
     added warning WARN_SECURITY, enabled by default, to warn about .sy
     directives, but not yet documented in manpage. Warning mode enabled
     by default via ifdef, should be toggled by option flag. (need
     coordination with upstream maintainer.)
  * Applied patch from Brian Mays <bem5r@virginia.edu> to pic/tex.cc to
     cast a long double value to double (fixes #13788)
  * Changed name of manpages me and msafer to groff_me and groff_msafer.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 15 Oct 1997 23:15:08 +0300

groff (1.10-4) unstable; urgency=low

  * libc6 version
  * added explicit link to libc to let ld.so find libc dependencies.
  * added dinamic dependence as Suggest for gxditview.
  * forced configure to use /usr/bin/perl (fixes bug#11149 and #13239)
  * added debian version number to option -v

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 28 Sep 1997 09:09:22 +0300

groff (1.10-3) frozen unstable; urgency=low

  * Applied changes to avoid problem with bash-2 (bug#8755)
  * Added gxditview notice in file copyright.debian
  * Compiled to supply gxditview, to let groff -X and man -X work.
     (changed font path in device.c)

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 16 Apr 1997 22:50:58 +0300

groff (1.10-2) frozen unstable; urgency=low

    * corrected shlibs.local for libstd++ depenedency (fixes #5401)

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 14 Nov 1996 08:39:25 +0200

groff (1.10-1) frozen; urgency=low

    * new maintainer: Fabrizio Polacco <fpolacco@debian.org>
    * changed description in control file (fixes bug #4013 part 2)
    * new upstream sources 1.10 (fixes bug #4013 part 1)
    * added symlinks for geqn, gpic, gtbl (bug #4754)
    * compressed manpages.
    * Updated to Standards-Version 2.1.1.0

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 8 Nov 1996 13:50:09 +0200

groff (1.09-12) frozen; urgency=low

    * this version was never uploaded
    * new maintainer: Fabrizio Polacco <fpolacco@debian.org>
    * built using original upstream sources 1.09 + patch 1.09-11
    * Updated to Standards-Version 2.1.1.0

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 6 Nov 1996 15:15:10 +0200

Changes:
 2-Jul-1995 Alvar Bray <alvar@meiko.co.uk>
	Set permissions of /usr/doc/groff dir in post install script.
	Previous versions of this package may have got these wrong and
	replacing the package will not fix them.
 5-Mar-1995 Bruce Perens <Bruce@Pixar.com>
	Added Debian GNU/Linux package maintenance system files.

